Bug 106532 - Sifr icon for "Cross-reference" needed
Summary: Sifr icon for "Cross-reference" needed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low minor
Assignee: Papamatti
QA Contact:
URL:
Whiteboard: target:5.5.0 target:5.3.4 target:5.4.0.1
Keywords:
Depends on:
Blocks: Icon-Theme-Sifr Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2017-03-14 13:56 UTC by Thomas Lendo
Modified: 2017-06-01 21:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Standard toolbar with visible Cross-reference icon (9.98 KB, image/png)
2017-03-14 13:56 UTC, Thomas Lendo
Details
cross reference icons from word 2010 and 2013 (7.87 KB, image/png)
2017-05-26 21:18 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-03-14 13:56:47 UTC
Created attachment 131880 [details]
Standard toolbar with visible Cross-reference icon

It seems that there is no Sifr-icated icon for "Cross-reference..." in toolbars and the Insert menu. At least the lines are too fine/subtle compared to other Sifr icons like "Page number/Insert field" or "Paste".

Tested with LibO 5.3.0.3
Comment 1 Buovjaga 2017-03-16 08:35:55 UTC
Confirmed, it is using Breeze icon as fallback.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: eb7b03b052ffe8c2c577b2349987653db6c53f76
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2017-02-26_22:34:18
Locale: fi-FI (fi_FI); Calc: CL
Comment 2 Yousuf Philips (jay) 2017-05-26 21:18:51 UTC
Created attachment 133635 [details]
cross reference icons from word 2010 and 2013

I think MS's concept of a part of a page linking to a part of another page is better than our concept of linking from a part of a page to another part of the same page, but i guess it also depends on how much space is available and how many colors can be used.
Comment 3 Commit Notification 2017-05-27 21:24:15 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ad56da72a79a2d649755a0ab98bd53f238db08b

tdf#106532 Sifr icon for "Cross-reference" needed

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-05-29 15:09:58 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75cb0e8e5654b1a82b687c117b940ad49127ad8e&h=libreoffice-5-3

tdf#106532 Sifr icon for "Cross-reference" needed

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-05-29 15:10:11 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=681ae3dfd031ce26c44a1069efc660e4691b4045&h=libreoffice-5-4

tdf#106532 Sifr icon for "Cross-reference" needed

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Thomas Lendo 2017-06-01 12:06:16 UTC
Thanks for the patch, Matthias!
Comment 7 Thomas Lendo 2017-06-01 21:33:12 UTC
VERIFIED in Version: 5.5.0.0.alpha0+
Build ID: b08217989558addbcaded122a4e7211ae24bbcff
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-31_06:36:03
Locale: de-DE (de_DE.UTF-8); Calc: group